$LOAD_PATH.push File.expand_path('lib', __dir__)

# Maintain your gem's version:
require 'elabs/version'

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = 'elabs'
  s.version     = Elabs::VERSION
  s.authors     = ['Manuel Tancoigne']
  s.email       = ['m.tancoigne@gmail.com']
  s.homepage    = 'https://experimentslabs.com'
  s.summary     = 'ELabs is a project-centric Rails engine CMS'
  s.description = 'This Rails engine provides a CMS to manage content types as projects, articles, albums,...'
  s.license     = 'MIT'
  s.metadata    = {
    'source_code_uri' => 'https://gitlab.com/experimentslabs/engine_elabs',
    'bug_tracker_uri' => 'https://gitlab.com/experimentslabs/engine_elabs/issues'
  }

  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.require_paths = ['lib']

  s.add_dependency 'rails', '~> 5.2.1'
end
